import { select, 
         range,
         scaleOrdinal,
         scaleLinear
        } 
from 'd3'; 

export function drawFruitsAnim(selection,fruits){
    
  const getFruitSize =  scaleOrdinal().domain(["apple","lemon"]).range([60,30]);
  
  const getFruitPosition = scaleLinear().domain([0,25]).range([60,3200]);
  

  const bowl =  selection.selectAll('circle').data(fruits, d=> d.id);
  bowl.enter().append("circle")
       .attr("cx", (d,i) => { return getFruitPosition(i); })
       .attr("class", (d,i) => { return d.type; } )
       .attr("cy",100)
       .attr("r",0 )
       .merge(bowl)
      .transition().delay(1000)
       .attr("r",(d,i) => getFruitSize(d.type) )
       .attr("class", (d,i) => { return d.type; } )
       .attr("cx", (d,i) => { return getFruitPosition(i); }) 
    
  bowl.exit().transition().delay(1000).attr("r",0).remove();
  
  const text =  selection.selectAll('text').data(fruits);
  text.attr("class","fruit-label");
  
  text.enter()
      .append('text')
      .attr("y",100)
      .attr("x",(d,i) => { return getFruitPosition(i); })
      .merge(text)
      .transition().delay(1200)
      .attr("class","fruit-label")
      .text((d,i)=>{ return d.type;})
  
  text.exit().transition().delay(1000).remove();

}